<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ombs-OnlineMovieBookingSystem: omsb::MongoDbHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ombs-OnlineMovieBookingSystem
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceomsb.html">omsb</a></li><li class="navelem"><a class="el" href="classomsb_1_1_mongo_db_handler.html">MongoDbHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classomsb_1_1_mongo_db_handler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">omsb::MongoDbHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>this is the class to allow creation of controller objects as needed for ombs mongodb database  
 <a href="classomsb_1_1_mongo_db_handler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mongodb__handler_8hpp_source.html">mongodb_handler.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a668896d72174ab8937709240222cdd92"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a668896d72174ab8937709240222cdd92">MongoDbHandler</a> ()</td></tr>
<tr class="memdesc:a668896d72174ab8937709240222cdd92"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new Mongo Db Handler object.  <a href="classomsb_1_1_mongo_db_handler.html#a668896d72174ab8937709240222cdd92">More...</a><br /></td></tr>
<tr class="separator:a668896d72174ab8937709240222cdd92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bf4aeb89d91622ff52e343bec655d4e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a4bf4aeb89d91622ff52e343bec655d4e">AddTheaterToDb</a> (const std::string &amp;theater_name)</td></tr>
<tr class="memdesc:a4bf4aeb89d91622ff52e343bec655d4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">creates a new theater in ombs database  <a href="classomsb_1_1_mongo_db_handler.html#a4bf4aeb89d91622ff52e343bec655d4e">More...</a><br /></td></tr>
<tr class="separator:a4bf4aeb89d91622ff52e343bec655d4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae76b951defd231273ee70264e82ca6d0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#ae76b951defd231273ee70264e82ca6d0">AddMovieToDb</a> (const std::string &amp;movie_title)</td></tr>
<tr class="memdesc:ae76b951defd231273ee70264e82ca6d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">creates a new movie in ombs database.  <a href="classomsb_1_1_mongo_db_handler.html#ae76b951defd231273ee70264e82ca6d0">More...</a><br /></td></tr>
<tr class="separator:ae76b951defd231273ee70264e82ca6d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52f86fab00ed69982149f8799215cab7"><td class="memItemLeft" align="right" valign="top">json::JSON&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a52f86fab00ed69982149f8799215cab7">GetAllTheaters</a> ()</td></tr>
<tr class="memdesc:a52f86fab00ed69982149f8799215cab7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get all present theaters in the database.  <a href="classomsb_1_1_mongo_db_handler.html#a52f86fab00ed69982149f8799215cab7">More...</a><br /></td></tr>
<tr class="separator:a52f86fab00ed69982149f8799215cab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8488e63e677c8e294340086f81d0c02"><td class="memItemLeft" align="right" valign="top">json::JSON&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#af8488e63e677c8e294340086f81d0c02">GetAllMovies</a> ()</td></tr>
<tr class="memdesc:af8488e63e677c8e294340086f81d0c02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get all present movies in the database.  <a href="classomsb_1_1_mongo_db_handler.html#af8488e63e677c8e294340086f81d0c02">More...</a><br /></td></tr>
<tr class="separator:af8488e63e677c8e294340086f81d0c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7866c1d3c4d63794358836dd7f9b328e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a7866c1d3c4d63794358836dd7f9b328e">AddMovieShowToDb</a> (const std::string &amp;theater_id, const std::string &amp;movie_id)</td></tr>
<tr class="memdesc:a7866c1d3c4d63794358836dd7f9b328e"><td class="mdescLeft">&#160;</td><td class="mdescRight">creates a new movie show in ombs database. By default, 20 avaialble seats are created for a given couple of movie and theater.  <a href="classomsb_1_1_mongo_db_handler.html#a7866c1d3c4d63794358836dd7f9b328e">More...</a><br /></td></tr>
<tr class="separator:a7866c1d3c4d63794358836dd7f9b328e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c4ea013fc2b2d63be2af01d52b00f7"><td class="memItemLeft" align="right" valign="top">json::JSON&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a31c4ea013fc2b2d63be2af01d52b00f7">GetAllMovieShows</a> ()</td></tr>
<tr class="memdesc:a31c4ea013fc2b2d63be2af01d52b00f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the All Movie Shows that has at least one avaialbale seat for booking.  <a href="classomsb_1_1_mongo_db_handler.html#a31c4ea013fc2b2d63be2af01d52b00f7">More...</a><br /></td></tr>
<tr class="separator:a31c4ea013fc2b2d63be2af01d52b00f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a921491af6cf6a169c5945bc69e9808b9"><td class="memItemLeft" align="right" valign="top">json::JSON&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a921491af6cf6a169c5945bc69e9808b9">GetTheatersByMovie</a> (const std::string &amp;movie_id)</td></tr>
<tr class="memdesc:a921491af6cf6a169c5945bc69e9808b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get all Theaters that are showing a particular movie.  <a href="classomsb_1_1_mongo_db_handler.html#a921491af6cf6a169c5945bc69e9808b9">More...</a><br /></td></tr>
<tr class="separator:a921491af6cf6a169c5945bc69e9808b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add87e37b40c98f6bfe2ac280d4111057"><td class="memItemLeft" align="right" valign="top">json::JSON&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#add87e37b40c98f6bfe2ac280d4111057">GetSeatsByMovieAndByTheater</a> (const std::string &amp;movie_id, const std::string &amp;theater_id)</td></tr>
<tr class="memdesc:add87e37b40c98f6bfe2ac280d4111057"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get all availabe seats fior a given movie in given theater.  <a href="classomsb_1_1_mongo_db_handler.html#add87e37b40c98f6bfe2ac280d4111057">More...</a><br /></td></tr>
<tr class="separator:add87e37b40c98f6bfe2ac280d4111057"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a667615c575c910d11120bb24ac5c37d7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a667615c575c910d11120bb24ac5c37d7">BookSeats</a> (const std::vector&lt; std::string &gt; &amp;seatsIdsList)</td></tr>
<tr class="memdesc:a667615c575c910d11120bb24ac5c37d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">allow the user to book a list of available seats.  <a href="classomsb_1_1_mongo_db_handler.html#a667615c575c910d11120bb24ac5c37d7">More...</a><br /></td></tr>
<tr class="separator:a667615c575c910d11120bb24ac5c37d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e1ce7d6750122392fcde924d710cee5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a3e1ce7d6750122392fcde924d710cee5">DropDatabase</a> ()</td></tr>
<tr class="memdesc:a3e1ce7d6750122392fcde924d710cee5"><td class="mdescLeft">&#160;</td><td class="mdescRight">used by admin user to reset datbase.  <a href="classomsb_1_1_mongo_db_handler.html#a3e1ce7d6750122392fcde924d710cee5">More...</a><br /></td></tr>
<tr class="separator:a3e1ce7d6750122392fcde924d710cee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>this is the class to allow creation of controller objects as needed for ombs mongodb database </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a668896d72174ab8937709240222cdd92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a668896d72174ab8937709240222cdd92">&#9670;&nbsp;</a></span>MongoDbHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">omsb::MongoDbHandler::MongoDbHandler </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new Mongo Db Handler object. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7866c1d3c4d63794358836dd7f9b328e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7866c1d3c4d63794358836dd7f9b328e">&#9670;&nbsp;</a></span>AddMovieShowToDb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool omsb::MongoDbHandler::AddMovieShowToDb </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>theater_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>movie_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>creates a new movie show in ombs database. By default, 20 avaialble seats are created for a given couple of movie and theater. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">theater_id</td><td>: theater id where the movie show will occure. </td></tr>
    <tr><td class="paramname">movie_id</td><td>: movie id that will be shown. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true : if the show has been successfuly created. </dd>
<dd>
false : if the show has not been created. </dd></dl>

</div>
</div>
<a id="ae76b951defd231273ee70264e82ca6d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae76b951defd231273ee70264e82ca6d0">&#9670;&nbsp;</a></span>AddMovieToDb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool omsb::MongoDbHandler::AddMovieToDb </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>movie_title</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>creates a new movie in ombs database. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">movie_title</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true : if the movie has been successfuly created. </dd>
<dd>
false : if the movie creation is not possible. </dd></dl>

</div>
</div>
<a id="a4bf4aeb89d91622ff52e343bec655d4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bf4aeb89d91622ff52e343bec655d4e">&#9670;&nbsp;</a></span>AddTheaterToDb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool omsb::MongoDbHandler::AddTheaterToDb </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>theater_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>creates a new theater in ombs database </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">theater_name</td><td>: the desired theater name for the new theater to create </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true : if the theater has been successfuly created </dd>
<dd>
false : if the theater creation is not possible </dd></dl>

</div>
</div>
<a id="a667615c575c910d11120bb24ac5c37d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a667615c575c910d11120bb24ac5c37d7">&#9670;&nbsp;</a></span>BookSeats()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool omsb::MongoDbHandler::BookSeats </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>seatsIdsList</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>allow the user to book a list of available seats. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">seatsIdsList</td><td>: list of desired seats id. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true : if all desired seats have been successfuly booked. </dd>
<dd>
false : if at least one desired seats is not more available or does not exists, or all seats does not belong to same movie show. </dd></dl>

</div>
</div>
<a id="a3e1ce7d6750122392fcde924d710cee5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e1ce7d6750122392fcde924d710cee5">&#9670;&nbsp;</a></span>DropDatabase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool omsb::MongoDbHandler::DropDatabase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>used by admin user to reset datbase. </p>
<dl class="section return"><dt>Returns</dt><dd>true : if the database has been successfuly reseted. </dd>
<dd>
false : if teh database can not be reseted. </dd></dl>

</div>
</div>
<a id="af8488e63e677c8e294340086f81d0c02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8488e63e677c8e294340086f81d0c02">&#9670;&nbsp;</a></span>GetAllMovies()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json::JSON omsb::MongoDbHandler::GetAllMovies </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get all present movies in the database. </p>
<dl class="section return"><dt>Returns</dt><dd>json::JSON : json file representing a list of all movies in the database. </dd></dl>

</div>
</div>
<a id="a31c4ea013fc2b2d63be2af01d52b00f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31c4ea013fc2b2d63be2af01d52b00f7">&#9670;&nbsp;</a></span>GetAllMovieShows()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json::JSON omsb::MongoDbHandler::GetAllMovieShows </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the All Movie Shows that has at least one avaialbale seat for booking. </p>
<dl class="section return"><dt>Returns</dt><dd>json::JSON : json file representing a list of all available movie shows that have at elast one availabe seat to book in the database. </dd></dl>

</div>
</div>
<a id="a52f86fab00ed69982149f8799215cab7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52f86fab00ed69982149f8799215cab7">&#9670;&nbsp;</a></span>GetAllTheaters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json::JSON omsb::MongoDbHandler::GetAllTheaters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get all present theaters in the database. </p>
<dl class="section return"><dt>Returns</dt><dd>json::JSON : json file representing a list of all theaters in the database. </dd></dl>

</div>
</div>
<a id="add87e37b40c98f6bfe2ac280d4111057"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add87e37b40c98f6bfe2ac280d4111057">&#9670;&nbsp;</a></span>GetSeatsByMovieAndByTheater()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json::JSON omsb::MongoDbHandler::GetSeatsByMovieAndByTheater </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>movie_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>theater_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get all availabe seats fior a given movie in given theater. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">movie_id</td><td>: movie id wanted by user. </td></tr>
    <tr><td class="paramname">theater_id</td><td>: theater id wanted by user. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>json::JSON </dd></dl>

</div>
</div>
<a id="a921491af6cf6a169c5945bc69e9808b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a921491af6cf6a169c5945bc69e9808b9">&#9670;&nbsp;</a></span>GetTheatersByMovie()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json::JSON omsb::MongoDbHandler::GetTheatersByMovie </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>movie_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get all Theaters that are showing a particular movie. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">movie_id</td><td>: movie id wanted by user. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>json::JSON : json file representing a list of all theaters showing a particular movie. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/mongodbhandler/<a class="el" href="mongodb__handler_8hpp_source.html">mongodb_handler.hpp</a></li>
<li>src/mongodbhandler/<a class="el" href="mongodb__handler_8cpp.html">mongodb_handler.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
